package com.pixelized.desktop.lwa.ui.navigation.screen.destination

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.campaign.CampaignScreen

object MainDestination {
    private const val ROUTE = "main"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableMainPage() {
    composable(
        route = MainDestination.baseRoute(),
    ) {
        CampaignScreen()
    }
}

fun NavHostController.navigateToMainPage() {
    val route = MainDestination.navigationRoute()
    navigate(route = route)
}